org.mozilla.javascript

## Interface IdFunctionCall

- All Known Implementing Classes:
    BaseFunction, BoundFunction, FunctionObject, IdFunctionObject, IdScriptableObject, ImporterTopLevel, JavaAdapter, ModuleScope, NativeArray, NativeCall, NativeContinuation, NativeFunction, NativeGenerator, NativeGlobal, NativeIterator, NativeJavaConstructor, NativeJavaMethod, NativeJavaTopPackage, NativeJSON, NativeObject, NativeRegExp, NativeWith, Require, TopLevel, XMLObject

      public interface IdFunctionCall

  Master for id-based functions that knows their properties and how to execute them.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execIdCall(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` 'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned

- - ### Method Detail

    - #### execIdCall

          java.lang.Object execIdCall(IdFunctionObject f,
                                    Context cx,
                                    Scriptable scope,
                                    Scriptable thisObj,
                                    java.lang.Object[] args)

      'thisObj' will be null if invoked as constructor, in which case instance of Scriptable should be returned